// Copyright 2015 The Vanadium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

// This file was auto-generated by the vanadium vdl tool.
// Source: types.vdl

package conn

import (
	// VDL system imports
	"v.io/v23/vdl"

	// VDL user imports
	"v.io/v23/security"
)

// Blessings is used to transport blessings and their discharges
// between the two ends of a Conn.  Since these objects can be large
// we try not to send them more than once, therefore whenever we send
// new blessings or discharges we associate them with an integer
// key (BKey and DKey).  Thereafter we refer to them by their key.
type Blessings struct {
	Blessings  security.Blessings
	Discharges []security.Discharge
	BKey       uint64
	DKey       uint64
}

func (Blessings) __VDLReflect(struct {
	Name string `vdl:"v.io/x/ref/runtime/internal/flow/conn.Blessings"`
}) {
}

func init() {
	vdl.Register((*Blessings)(nil))
}
